SendAnEmailRequest
Classnet10.0
Represents the SendAnEmailRequest payload.
namespace CommunityToolkit.Aspire.Posta.Models.Emails;
public class SendAnEmailRequest{ // ...}13 members
Constructors1
Section titled ConstructorsProperties12
Section titled PropertiesAttachmentsget; setGets or sets
attachments.DryRunget; setbool?Gets or sets the
dry_run query parameter.Fromget; setstringGets or sets
from.Headersget; setIReadOnlyDictionary<string, JsonElement>Gets or sets
headers.Htmlget; setstring?Gets or sets
html.ListUnsubscribePostget; setbool?Gets or sets
list_unsubscribe_post.ListUnsubscribeUrlget; setstring?Gets or sets
list_unsubscribe_url.SendAtget; setDateTimeOffset?Gets or sets
send_at.Subjectget; setstringGets or sets
subject.Textget; setstring?Gets or sets
text.Toget; setIReadOnlyList<string>Gets or sets
to.Unsubscribeget; setGets or sets
unsubscribe.